"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compareSchema = exports.getQuerySelfJoinMany = exports.getQuerySelfJoinOne = exports.getJoinTables = exports.getRelations = exports.getInitEachFieldsModelsJS = exports.getInitEachModelsJS = exports.getAllTables = exports.getEnumValues = exports.getResolveType = exports.getGraphqlType = exports.getRequire = exports.getFieldsDirectiveNames = exports.getTypesExceptQueries = exports.getAllTypesName = exports.getFieldsName = exports.getFieldsCreate = exports.getFieldsParsedHandler = exports.getFieldsInput = exports.getFieldsParsed = exports.matchString = exports.findField = exports.findTable = exports.formatName = exports.hasFieldType = exports.isSchemaValid = exports.getSQLTableName = exports.isScalar = exports.isPersonalizedScalar = exports.isBasicScalar = exports.deprecatedDirective = exports.Type = exports.Relationships = exports.directives = exports.Scalars = exports.typesGenerator = exports.schemaParser = void 0;
/**
 * easygraphql-parser schemaParser function export
 */
var schemaParser_1 = require("./schema-parser/schemaParser");
Object.defineProperty(exports, "schemaParser", { enumerable: true, get: function () { return schemaParser_1.schemaParser; } });
/**
 * type enrichment function export
 */
var types_generator_1 = require("./type-generator/types-generator");
Object.defineProperty(exports, "typesGenerator", { enumerable: true, get: function () { return types_generator_1.typesGenerator; } });
/**
 * Constants export
 */
var scalar_1 = require("./constants/scalar");
Object.defineProperty(exports, "Scalars", { enumerable: true, get: function () { return scalar_1.Scalars; } });
var directives_1 = require("./constants/directives");
Object.defineProperty(exports, "directives", { enumerable: true, get: function () { return directives_1.directives; } });
var relationships_1 = require("./constants/relationships");
Object.defineProperty(exports, "Relationships", { enumerable: true, get: function () { return relationships_1.Relationships; } });
/**
 * Models export
 */
var type_1 = require("./models/type");
Object.defineProperty(exports, "Type", { enumerable: true, get: function () { return type_1.Type; } });
/**
 * Directive management export
 */
var deprecated_directive_1 = require("./directive-management/deprecated-directive");
Object.defineProperty(exports, "deprecatedDirective", { enumerable: true, get: function () { return deprecated_directive_1.deprecatedDirective; } });
/**
 * Scalar-management export
 */
var manage_scalars_1 = require("./scalar-managment/manage-scalars");
Object.defineProperty(exports, "isBasicScalar", { enumerable: true, get: function () { return manage_scalars_1.isBasicScalar; } });
Object.defineProperty(exports, "isPersonalizedScalar", { enumerable: true, get: function () { return manage_scalars_1.isPersonalizedScalar; } });
Object.defineProperty(exports, "isScalar", { enumerable: true, get: function () { return manage_scalars_1.isScalar; } });
/**
 *  Utils export
 */
var get_sql_table_name_1 = require("./utils/get-sql-table-name");
Object.defineProperty(exports, "getSQLTableName", { enumerable: true, get: function () { return get_sql_table_name_1.getSQLTableName; } });
var is_schema_valid_1 = require("./utils/is-schema-valid");
Object.defineProperty(exports, "isSchemaValid", { enumerable: true, get: function () { return is_schema_valid_1.isSchemaValid; } });
var has_field_type_1 = require("./utils/has-field-type");
Object.defineProperty(exports, "hasFieldType", { enumerable: true, get: function () { return has_field_type_1.hasFieldType; } });
var format_name_1 = require("./utils/format-name");
Object.defineProperty(exports, "formatName", { enumerable: true, get: function () { return format_name_1.formatName; } });
var find_table_1 = require("./utils/find-table");
Object.defineProperty(exports, "findTable", { enumerable: true, get: function () { return find_table_1.findTable; } });
var find_field_1 = require("./utils/find-field");
Object.defineProperty(exports, "findField", { enumerable: true, get: function () { return find_field_1.findField; } });
/**
 * Matching export
 */
var match_string_1 = require("./matching/match-string");
Object.defineProperty(exports, "matchString", { enumerable: true, get: function () { return match_string_1.matchString; } });
/**
 * Parsing export
 */
var fields_parsing_1 = require("./parsing/fields-parsing");
Object.defineProperty(exports, "getFieldsParsed", { enumerable: true, get: function () { return fields_parsing_1.getFieldsParsed; } });
Object.defineProperty(exports, "getFieldsInput", { enumerable: true, get: function () { return fields_parsing_1.getFieldsInput; } });
Object.defineProperty(exports, "getFieldsParsedHandler", { enumerable: true, get: function () { return fields_parsing_1.getFieldsParsedHandler; } });
Object.defineProperty(exports, "getFieldsCreate", { enumerable: true, get: function () { return fields_parsing_1.getFieldsCreate; } });
Object.defineProperty(exports, "getFieldsName", { enumerable: true, get: function () { return fields_parsing_1.getFieldsName; } });
var get_types_1 = require("./parsing/get-types");
Object.defineProperty(exports, "getAllTypesName", { enumerable: true, get: function () { return get_types_1.getAllTypesName; } });
Object.defineProperty(exports, "getTypesExceptQueries", { enumerable: true, get: function () { return get_types_1.getTypesExceptQueries; } });
var get_fields_1 = require("./parsing/get-fields");
Object.defineProperty(exports, "getFieldsDirectiveNames", { enumerable: true, get: function () { return get_fields_1.getFieldsDirectiveNames; } });
var get_require_1 = require("./parsing/get-require");
Object.defineProperty(exports, "getRequire", { enumerable: true, get: function () { return get_require_1.getRequire; } });
var get_graphql_type_1 = require("./parsing/get-graphql-type");
Object.defineProperty(exports, "getGraphqlType", { enumerable: true, get: function () { return get_graphql_type_1.getGraphqlType; } });
var get_resolve_type_1 = require("./parsing/get-resolve-type");
Object.defineProperty(exports, "getResolveType", { enumerable: true, get: function () { return get_resolve_type_1.getResolveType; } });
var get_enum_values_1 = require("./parsing/get-enum-values");
Object.defineProperty(exports, "getEnumValues", { enumerable: true, get: function () { return get_enum_values_1.getEnumValues; } });
var database_parsing_1 = require("./parsing/database-parsing");
Object.defineProperty(exports, "getAllTables", { enumerable: true, get: function () { return database_parsing_1.getAllTables; } });
Object.defineProperty(exports, "getInitEachModelsJS", { enumerable: true, get: function () { return database_parsing_1.getInitEachModelsJS; } });
Object.defineProperty(exports, "getInitEachFieldsModelsJS", { enumerable: true, get: function () { return database_parsing_1.getInitEachFieldsModelsJS; } });
var relations_parsing_1 = require("./parsing/relations-parsing");
Object.defineProperty(exports, "getRelations", { enumerable: true, get: function () { return relations_parsing_1.getRelations; } });
Object.defineProperty(exports, "getJoinTables", { enumerable: true, get: function () { return relations_parsing_1.getJoinTables; } });
Object.defineProperty(exports, "getQuerySelfJoinOne", { enumerable: true, get: function () { return relations_parsing_1.getQuerySelfJoinOne; } });
Object.defineProperty(exports, "getQuerySelfJoinMany", { enumerable: true, get: function () { return relations_parsing_1.getQuerySelfJoinMany; } });
var schema_update_1 = require("./parsing/schema_update");
Object.defineProperty(exports, "compareSchema", { enumerable: true, get: function () { return schema_update_1.compareSchema; } });
