import { Relationships } from "../constants/relationships";
export interface IField {
    name: string;
    type: string;
    isEnum: boolean;
    relationType: Relationships;
    relation: boolean;
    in_model: boolean;
    oneToOneInfo: any;
    noNullArrayValues: boolean;
    noNull: boolean;
    isArray: boolean;
    directives: any;
    arguments: any;
    delegated_field: any;
    foreign_key: any;
    isDeprecated: boolean;
    joinTable: any;
    sqlType: string;
}
export declare class Field {
    name: string;
    type: string;
    isEnum: boolean;
    relationType: Relationships;
    relation: boolean;
    in_model: boolean;
    oneToOneInfo: any;
    noNullArrayValues: boolean;
    noNull: boolean;
    isArray: boolean;
    directives: any;
    arguments: any;
    delegated_field: any;
    foreign_key: any;
    isDeprecated: boolean;
    joinTable: any;
    sqlType: string;
    activeSide?: boolean;
    constructor(name: string, type: string, isEnum: boolean, noNullArrayValues: boolean, noNull: boolean, isArray: boolean, directives: any, args: any, isDeprecated: boolean);
    setNoNull(): void;
    /**
     * Set up types fields to handle tracking of foreign key that might have been added by other types
     * Init Object type parameters . obj = {key1 : value1, key2 : value2 ....}
     * @returns nothing
     */
    initObjectParameters(): void;
}
