"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFieldsDirectiveNames = void 0;
// Get all directive names from the fields of a type object
const getFieldsDirectiveNames = (type) => {
    let directiveNames = [];
    if (type.directives.length > 0) {
        type.directives.forEach(directive => {
            directiveNames.push(directive.name);
        });
    }
    type.fields.forEach(field => {
        if (field.directives.length > 0) {
            field.directives.forEach(directive => {
                directiveNames.push(directive.name);
            });
        }
    });
    return directiveNames;
};
exports.getFieldsDirectiveNames = getFieldsDirectiveNames;
