"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGraphqlType = void 0;
const not_used_type_error_1 = require("./error/not-used-type.error");
function getGraphqlType(type) {
    switch (type.type) {
        case "EnumTypeDefinition":
            return "GraphQLEnumType";
        case "InterfaceTypeDefinition":
            return "GraphQLInterfaceType";
        case "ObjectTypeDefinition":
            return "GraphQLObjectType";
        case "ScalarTypeDefinition":
            return "GraphQLScalarType";
        default:
            throw new not_used_type_error_1.NotUsedTypeError(type.type);
    }
}
exports.getGraphqlType = getGraphqlType;
