"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRequire = void 0;
const manage_scalars_1 = require("../scalar-managment/manage-scalars");
/** Fonction principale */
// Build the require const type string
const getRequire = (type) => {
    const requiredTypes = getRequireTypes(type);
    let result = "";
    for (let requiredType of requiredTypes) {
        if (!(0, manage_scalars_1.isScalar)(requiredType)) {
            result += "const " + requiredType + "Type = require('./" + requiredType.toLowerCase() + "')\n";
        }
    }
    return result;
};
exports.getRequire = getRequire;
/** Fonction utilitaire */
// Get all the types required, except the current one, to import in file
const getRequireTypes = (currentType) => {
    let result = [];
    currentType.fields.forEach(field => {
        let fieldType = field.type;
        if (fieldType !== currentType.typeName) {
            if (!(0, manage_scalars_1.isScalar)(fieldType)) { // If it's a predefined scalars no need to include it
                if (!result.includes(fieldType)) // Check if it's not already included (multiple type call in Query)
                    result.push(fieldType);
            }
        }
        // Checking internal argument (for the query mainly if there's enum in place)
        field.arguments.forEach(arg => {
            if (arg.type !== currentType) {
                if (!(0, manage_scalars_1.isBasicScalar)(arg.type)) { // Check if it's not already included (multiple type call in Query)
                    if (!result.includes(arg.type))
                        result.push(arg.type);
                }
            }
        });
    });
    return result;
};
