"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFieldName = exports.getFieldCreate = exports.isPersonalizedScalar = exports.isBasicScalar = exports.isScalar = void 0;
const scalar_1 = require("../constants/scalar");
const get_sql_table_name_1 = require("../utils/get-sql-table-name");
const isScalar = (typeName) => {
    return (0, exports.isPersonalizedScalar)(typeName) || (0, exports.isBasicScalar)(typeName);
};
exports.isScalar = isScalar;
const isBasicScalar = (typeName) => {
    let defaultScalars = ['String', 'ID', 'Int', 'Boolean', 'Float'];
    return defaultScalars.includes(typeName);
};
exports.isBasicScalar = isBasicScalar;
const isPersonalizedScalar = (typeName) => {
    return typeName in scalar_1.Scalars;
};
exports.isPersonalizedScalar = isPersonalizedScalar;
const getFieldCreate = (type, name) => {
    let str = "";
    switch (type) {
        case "ID":
        case "Boolean":
        case "Int":
            str = `args.${name}`;
            break;
        case "String":
        case "Date":
        case "RGB":
        case "RGBA":
        case "HSL":
        case "HSLA":
        case "HexColorCode":
        case "Time":
            str = `utils.escapeQuote(args.${name})`;
            break;
        case "DateTime":
            str = `"'" + args.${name}.toISOString() + "'"`;
            break;
        default:
            if (scalar_1.Scalars[type]) {
                console.log(type);
                str = `args.${name}`;
            }
            break;
    }
    return str;
};
exports.getFieldCreate = getFieldCreate;
const getFieldName = (scalar, name, type) => {
    let str = "";
    switch (scalar) {
        case "ID":
            str = "\\\"Pk_" + (0, get_sql_table_name_1.getSQLTableName)(type) + "_id\\\"";
            break;
        case "Boolean":
        case "Int":
        case "String":
            str = "\\\"" + name + "\\\"";
            break;
        default:
            if (scalar_1.Scalars[scalar]) {
                str = "\\\"" + name + "\\\"";
            }
            break;
    }
    return str;
};
exports.getFieldName = getFieldName;
