"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const process_1 = require("process");
const type_1 = require("./models/type");
const relations_parsing_1 = require("./parsing/relations-parsing");
const schemaParser_1 = require("./schema-parser/schemaParser");
const fs = require("fs");
let schemaGQL;
let schemaJSON;
let types;
let relations;
/**
 * Ce fichier sert a générer les types en fichier json à partir des schémas situés dans le dossier schema-graphql
 * Pour lancer cette méthode : npx ts-node lib/moulinette.ts
 */
const myArgs = process.argv.slice(2);
if (myArgs.length == 0) {
    console.log("Provide a full path to a graphQL file");
    (0, process_1.exit)(0);
}
schemaGQL = fs.readFileSync(myArgs[0], 'utf8');
schemaJSON = (0, schemaParser_1.schemaParser)(schemaGQL);
types = type_1.Type.initTypes(schemaJSON);
relations = (0, relations_parsing_1.getRelations)(types);
console.log(JSON.stringify(relations));
