"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSchemaValid = void 0;
const manage_scalars_1 = require("../scalar-managment/manage-scalars");
const isSchemaValid = (types) => {
    let typesNames = types.map(type => type.typeName);
    let response = { response: true, reason: "" };
    /*
    if (!typesHaveId(typesNames, types)) {
        response = {
            response: false,
            reason: "Missing required id field of type ID in one or multiple Entity"}
    }
    */
    if (!fieldTypeExists(typesNames, types)) {
        response = {
            response: false,
            reason: "One Entity has one or multiple fields of undefined types. Please use default scalar, declare your own scalar or declare missing entity type"
        };
    }
    return response;
};
exports.isSchemaValid = isSchemaValid;
const typesHaveId = (typesNames, types) => {
    for (let index = 0; index < types.length; index++) {
        if (typesNames[index] !== "Query" && typesNames[index] !== "Mutation" && types[index].type !== "ScalarTypeDefinition" && types[index].type !== "EnumTypeDefinition") {
            if (!types[index].fields.find(field => field.name === "id")) {
                return false;
            }
        }
    }
    return true;
};
// Check if the types of field are correct (default scalar, personalized scalar of other existing entities)
const fieldTypeExists = (typesNames, types) => {
    for (let type of types) {
        for (let field of type.fields) {
            if (!(0, manage_scalars_1.isBasicScalar)(field.type) && !typesNames.includes(field.type)) {
                return false;
            }
        }
    }
    return true;
};
